package com.caimei.www.controller.authorized;

import com.caimei.www.controller.BaseController;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/7/24
 */
@Controller
public class AccountController extends BaseController {
    /** 登录 */
	private static final String LOGIN_PATH = "account/login";
    /** 注册 */
	private static final String REGISTER_PATH = "account/register";
	private static final String REGISTER_SUPPLIER = "account/register-supplier";
	private static final String REGISTER_CLUB = "account/register-club";
    /** 升级会员机构 */
	private static final String UPGRADE_PATH = "account/upgrade";
    /** 忘记密码 */
	private static final String FORGET_PATH = "account/forget";
    /** 绑定运营人员 */
	private static final String BIND_PATH = "account/bind";


    /**
     * 登录页
     */
    @GetMapping("/login.html")
    public String login() {
        return LOGIN_PATH;
    }

    /**
     * 注册选择页
     */
    @GetMapping("/register.html")
    public String signUp() {
        return REGISTER_PATH;
    }

    /**
     * 注册选择页
     */
    @GetMapping("/supplier/register.html")
    public String signUpSupplier() {
        return REGISTER_SUPPLIER;
    }


    /**
     * 注册选择页
     */
    @GetMapping("/club/register.html")
    public String signUpClub() {
        return REGISTER_CLUB;
    }

    /**
     * 机构升级
     */
    @GetMapping("/upgrade.html")
    public String upgrade() {
        return UPGRADE_PATH;
    }


    /**
     * 忘记密码
     */
    @GetMapping("/forget.html")
    public String forget() {
        return FORGET_PATH;
    }

    /**
     * 绑定运营人员
     */
    @GetMapping("/bind.html")
    public String bind() {
        return BIND_PATH;
    }

}
